from Products.Archetypes.Extensions.utils import install_subskin
from Products.IntranetDocuments.config import *
from StringIO import StringIO

TYPES = ('MSWord', 'MSExcel', 'MSPowerpoint', 'AdobePDF')

def install(context):
    """ """
    site = context.getSite()
    out = StringIO()

    install_subskin(site, out, GLOBALS)
    foo = site.portal_properties.site_properties.typesUseViewActionInListings
    for t in TYPES:
      if t not in foo:
        foo = foo + (t,)
    site.portal_properties.site_properties.typesUseViewActionInListings = foo
    
    types = site.portal_factory.getFactoryTypes()
    for t in TYPES:
      types[t] = 1
    site.portal_factory.manage_setPortalFactoryTypes(listOfTypeIds=tuple(types.keys()))

    logger = context.getLogger("IntranetDocuments")
    logger.info(out.getvalue())
